%define api	1.0
%define major	0
%define libname	%mklibname gom %{api} %{major}
%define devname	%mklibname gom %{api} -d
%define girname	%mklibname gom-gir %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gom
Version:	0.5.1
Release:	%mkrel 1
Summary:	GObject to SQLite object mapper library
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Gom
Source0:	https://download.gnome.org/sources/gom/%{url_ver}/gom-%{version}.tar.xz
Patch0:		gom-0.3.3-test-timeout.patch
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
BuildRequires:	gi-docgen
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	python3dist(pygobject)

%description
Gom provides an object mapper from GObjects to SQLite. It helps you write
applications that need to store structured data as well as make complex queries
upon that data.

%package -n %{libname}
Summary:	GObject to SQLite object mapper library
Group:		System/Libraries
# (ovitters) gom package is obsolete as it only contained translations.
#            Translations have been removed as of 0.3.3
Obsoletes:	%{name} < 0.3.3

%description -n %{libname}
Gom provides an object mapper from GObjects to SQLite. It helps you write
applications that need to store structured data as well as make complex queries
upon that data.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
%meson		\
	-Denable-gtk-doc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license COPYING
%{_libdir}/libgom-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gom-%{api}.typelib
%{python3_sitearch}/gi/overrides/*

%files -n %{devname}
%doc %{_docdir}/gom-1.0/
%{_includedir}/gom-%{api}/
%{_libdir}/libgom-%{api}.so
%{_libdir}/pkgconfig/gom-%{api}.pc
%{_datadir}/gir-1.0/Gom-%{api}.gir


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 0.5.1-1.mga10
+ Revision: 2069158
- new version 0.5.1

* Sun Mar 17 2024 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2050270
- new version 0.5.0

* Sat Dec 30 2023 daviddavid <daviddavid> 0.4-5.mga10
+ Revision: 2024444
- rebuild for py3.12

* Thu Mar 31 2022 umeabot <umeabot> 0.4-4.mga9
+ Revision: 1836363
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.4-3.mga9
+ Revision: 1778420
- Rebuild for python-3.10

* Thu Apr 01 2021 daviddavid <daviddavid> 0.4-2.mga9
+ Revision: 1712260
- rebuild for python 3.9

* Mon Feb 17 2020 ovitters <ovitters> 0.4-1.mga8
+ Revision: 1537101
- new version 0.4

* Sun Feb 16 2020 umeabot <umeabot> 0.3.3-7.mga8
+ Revision: 1531576
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.3.3-6.mga8
+ Revision: 1440501
- rebuild for python-3.8

* Wed Apr 17 2019 umeabot <umeabot> 0.3.3-5.mga7
+ Revision: 1392601
- Rebuild with meson 0.50.1

* Tue Jan 08 2019 tv <tv> 0.3.3-4.mga7
+ Revision: 1351708
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.3.3-3.mga7
+ Revision: 1298027
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 wally <wally> 0.3.3-2.mga7
+ Revision: 1238420
- add patch to increase stress test timeout

* Wed Aug 23 2017 ovitters <ovitters> 0.3.3-1.mga7
+ Revision: 1143591
- switch to meson
- new version 0.3.3

* Sat Dec 26 2015 ovitters <ovitters> 0.3.2-1.mga6
+ Revision: 915231
- new version 0.3.2

* Mon Jun 22 2015 ovitters <ovitters> 0.3.1-1.mga6
+ Revision: 838543
- new version 0.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-2.mga5
+ Revision: 748345
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 0.2.1-1.mga5
+ Revision: 732572
- imported package gom

